Pular para o conteúdo principal
GET
/
renders
/
{renderId}
Get render status
curl --request GET \
  --url https://api.cut.pro/api/v1/renders/{renderId} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.cut.pro/api/v1/renders/{renderId}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.cut.pro/api/v1/renders/{renderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "render_id": "<string>",
  "edit_setting_id": "<string>",
  "name": "<string>",
  "progress": 123,
  "output_resolution": "<string>",
  "created_at": "<string>",
  "started_at": "<string>",
  "completed_at": "<string>"
}
{
"code": "RENDER_NOT_FOUND"
}

Autorizações

X-Api-Key
string
header
obrigatório

Parâmetros de caminho

renderId
string
obrigatório

Resposta

Response for status 200

render_id
string
obrigatório

Unique render ID

edit_setting_id
string
obrigatório

ID of the edit settings used for this render

name
string | null
obrigatório

Name of the edit / clip being rendered

status
enum<string>
obrigatório
Opções disponíveis:
queued,
active,
completed,
failed,
cancelled,
expired
progress
number
obrigatório

Render progress from 0 to 100

output_resolution
string | null
obrigatório

Output resolution, e.g. 720p or 1080p

created_at
string
obrigatório

ISO 8601 timestamp of when the render was queued

started_at
string | null
obrigatório

ISO 8601 timestamp of when rendering started

completed_at
string | null
obrigatório

ISO 8601 timestamp of when the render finished

Última modificação em 7 de julho de 2026